Bug 123878 - Download Manager displays incorrect sizes for files > 2GB
Download Manager displays incorrect sizes for files > 2GB
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-21 05:15 EDT by Olav Tollefsen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:48:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 228968 None None None Never

  None (edit)
Description Olav Tollefsen 2004-05-21 05:15:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.2; .NET 
CLR 1.1.4322)

Description of problem:
When you download files > 2GB (for example the Fedora Core 2 DVD ISO 
image) using Mozuilla Download Manager it looks like it's using 32-
bit integers to calculate size and download speed. It will show 
incorrect file size and will underflow / overflow and show negative 
numbers.

Version-Release number of selected component (if applicable):
1.6

How reproducible:
Always

Steps to Reproduce:
1. Download a large file > 2GB


Actual Results:  You will see that file size etc. are incorrect in 
Download Manager

Expected Results:  Download Manager should show correct sizes.

Additional info:
Comment 1 John 2004-08-24 23:09:46 EDT
Relevant Mozilla bug here:
http://bugzilla.mozilla.org/show_bug.cgi?id=243974
Comment 2 John 2004-12-11 17:39:07 EST
Somewhat more relevant bug here:
https://bugzilla.mozilla.org/show_bug.cgi?id=228968
Comment 3 Matthew Miller 2005-04-26 11:54:13 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 John Thacker 2006-10-28 13:48:27 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.  If it still
occurs on FC5 or FC6, please reopen and assign to the correct version.

mozilla itself is not shipped in FC6, so for most of these bugs that means
testing in FC5 or against firefox.

Note You need to log in before you can comment on or make changes to this bug.